%define version 4.5.5
%define release %mkrel 3

Name: gromacs
Summary: Molecular dynamics package (non-mpi version)
Version: %version
Release: %release
License: GPL
Group: Sciences/Chemistry
Buildroot: %_tmppath/%name-root
Requires: fftw >= 3.0.1
Source: ftp://ftp.gromacs.org/pub/gromacs/%name-%version.tar.gz
Buildrequires: cmake
Buildrequires: fftw-devel
BuildRequires: libxml2-devel
URL: http://www.gromacs.org

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GROMACS is a versatile and extremely well optimized package
to perform molecular dynamics computer simulations and
subsequent trajectory analysis. It is developed for
biomolecules like proteins, but the extremely high
performance means it is used also in several other field
like polymer chemistry and solid state physics. This
version has the dynamic libs and executables; to hack new
utility programs you also need the headers and static
libs in gromacs-dev. Linux kernel 2.4 or later is STRONGLY
recommended on Pentium III and later processors since
GROMACS then can use assembly loops with SSE instructions.
You can also perform parallel simulations if you install
gromacs-lammpi.

%package devel
Summary: Header files and static libraries for GROMACS
Group: Development/C++
Requires: %name = %version
Conflicts: %name < 4.5.3-2

%description devel
This package contains header files, static libraries,
and a program example for the GROMACS molecular
dynamics software. You need it if you want to write your
own analysis programs.

%prep
%setup -q

%build
%cmake -DGMXLIB=%{_lib}
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/%name
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.5.5-3.mga3
+ Revision: 352644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 eatdirt <eatdirt> 4.5.5-2.mga2
+ Revision: 180329
- (Re)built for fftw-3.3
  Added missing source file
  Fix wrong install lib path on x86_64

  + steletch <steletch>
    - Update to 4.5.5

  + tv <tv>
    - new release

* Mon Feb 07 2011 steletch <steletch> 4.5.3-2.mga1
+ Revision: 48837
- imported package gromacs

